//Setup = configuracion basica del objeto

function setup() {
	pinMode(1, OUTPUT);
	Serial.println("Blinking"); //para que aparezca un mensaje en consola de la parte de abajo del editor
	
	// Haremos monitoreo de la frecuencia cardíaca del paciente

	/* Valores normales
	Cota alta: 100 latidos por minuto
	Cota baja: 60 latidos por minuto
	
	=> Frecuencia cardíaca aceptable: 100 - 60
	=> Hay riesgo si: frecuencia > 120 (alta) y frecuencia < 40 (baja)
	
	*/
	
}


	var alta = 100;
	var baja = 60;
	
	//Configuracion de nuestro cliente para que el reloj pueda enviar correos electronicos
	EmailClient.setup('Paciente@centromedicoficticio.ve','192.168.1.3','Paciente','1234');

function loop() {

	//Simulando al sensor
	//Manipulamos valores para llevar al paciente a un escenario de riesgo para que el reloj lo detecte

	alta = alta + 2;
	baja = baja - 1;
	delay (2000);
	Serial.println('Frecuencia en: ' + alta + ' y ' + baja);
	
	//La idea es mandarle unos primeros mensajes de alerta al doctor
	if (alta > 120 || baja < 40) {
		var mensaje = 'Frecuencia cardiaca en niveles de cuidado: ' + alta + ' y ' + baja;
		EmailClient.send('Doctor@centromedicoficticio.ve','Cuidado con Paciente',mensaje);
		delay(2000); // para que no lo este enviando a cada rato
		
	}
	
	//Tratando de evaluar una condicion mas critica de los valores
	if (alta >= 140 || baja <= 30) {
		var mensaje2 = 'Frecuencia cardiaca en niveles PELIGROSOS, atender urgentemente en el sitio';
		EmailClient.send('Doctor@centromedicoficticio.ve','PELIGRO con Paciente', mensaje2);
		delay(20000);
		Serial.println('Presion en nivel riesgoso, contacte a su medico');
		}
		
	




}